---
primaryTopic:
  Accounts:
    AccountCategory: TOTAL EXEMPTION FULL
    AccountRefDay: 31
    AccountRefMonth: 12
    LastMadeUpDate: 31/12/2024
    NextDueDate: ~
  CompanyCategory: Private Limited Company
  CompanyName: BERWICK STREET PROPERTIES LIMITED
  CompanyNumber: 05518707
  CompanyStatus: Dissolved
  CountryOfOrigin: United Kingdom
  IncorporationDate: 26/07/2005
  DissolutionDate: 14/04/2026
  Mortgages:
    NumMortCharges: 1
    NumMortOutstanding: 0
    NumMortPartSatisfied: 0
    NumMortSatisfied: 1
  RegAddress:
    AddressLine1: EMPEROR'S GATE, 114A CROMWELL ROAD
    AddressLine2: KENSINGTON
    PostTown: LONDON
    Country: ENGLAND
    Postcode: SW7 4AG
  Returns:
    LastMadeUpDate: 20/07/2025
    NextDueDate: ~
  SICCodes:
    SicText:
      - '68100 - Buying and selling of own real estate'
